Run evaluator scenarios
Runs the selected evaluator scenarios against their test agents and creates a run batch. Returns the ID of the created batch, whose results can be listed with the test-run-results endpoints.
POST
/
ai
/
tests
/
test_framework
/
v1
/
scenarios
/
run_scenarios
Run evaluator scenarios
curl --request POST \
--url https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": 1259,
"scenarios": [
9512
],
"tags": [
"regression"
],
"mode": "same_number",
"concurrency_limit": 3
}
'import requests
url = "https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios"
payload = {
"agent_id": 1259,
"scenarios": [9512],
"tags": ["regression"],
"mode": "same_number",
"concurrency_limit": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: 1259,
scenarios: [9512],
tags: ['regression'],
mode: 'same_number',
concurrency_limit: 3
})
};
fetch('https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent_id' => 1259,
'scenarios' => [
9512
],
'tags' => [
'regression'
],
'mode' => 'same_number',
'concurrency_limit' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios"
payload := strings.NewReader("{\n \"agent_id\": 1259,\n \"scenarios\": [\n 9512\n ],\n \"tags\": [\n \"regression\"\n ],\n \"mode\": \"same_number\",\n \"concurrency_limit\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agent_id\": 1259,\n \"scenarios\": [\n 9512\n ],\n \"tags\": [\n \"regression\"\n ],\n \"mode\": \"same_number\",\n \"concurrency_limit\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent_id\": 1259,\n \"scenarios\": [\n 9512\n ],\n \"tags\": [\n \"regression\"\n ],\n \"mode\": \"same_number\",\n \"concurrency_limit\": 3\n}"
response = http.request(request)
puts response.read_body{
"status": "in_queue",
"id": 10119
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The AI Tests service rejected the request."
}
]
}{
"errors": [
{
"code": "10003",
"title": "Unauthorized",
"detail": "The API key is missing or invalid."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Not Found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10018",
"title": "Unprocessable Entity",
"detail": "Validation failed for the request payload."
}
]
}{
"errors": [
{
"code": "10029",
"title": "Too Many Requests",
"detail": "Too many requests; retry later."
}
]
}{
"errors": [
{
"code": "10063",
"title": "Service Unavailable",
"detail": "The test framework service is temporarily unavailable."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Scenario IDs to run, or the literal string 'all'.
Available options:
same_number, different_numbers Maximum number of concurrent simulated calls.
Was this page helpful?
Run evaluator scenarios
curl --request POST \
--url https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": 1259,
"scenarios": [
9512
],
"tags": [
"regression"
],
"mode": "same_number",
"concurrency_limit": 3
}
'import requests
url = "https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios"
payload = {
"agent_id": 1259,
"scenarios": [9512],
"tags": ["regression"],
"mode": "same_number",
"concurrency_limit": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: 1259,
scenarios: [9512],
tags: ['regression'],
mode: 'same_number',
concurrency_limit: 3
})
};
fetch('https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agent_id' => 1259,
'scenarios' => [
9512
],
'tags' => [
'regression'
],
'mode' => 'same_number',
'concurrency_limit' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios"
payload := strings.NewReader("{\n \"agent_id\": 1259,\n \"scenarios\": [\n 9512\n ],\n \"tags\": [\n \"regression\"\n ],\n \"mode\": \"same_number\",\n \"concurrency_limit\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agent_id\": 1259,\n \"scenarios\": [\n 9512\n ],\n \"tags\": [\n \"regression\"\n ],\n \"mode\": \"same_number\",\n \"concurrency_limit\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/ai/tests/test_framework/v1/scenarios/run_scenarios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agent_id\": 1259,\n \"scenarios\": [\n 9512\n ],\n \"tags\": [\n \"regression\"\n ],\n \"mode\": \"same_number\",\n \"concurrency_limit\": 3\n}"
response = http.request(request)
puts response.read_body{
"status": "in_queue",
"id": 10119
}{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The AI Tests service rejected the request."
}
]
}{
"errors": [
{
"code": "10003",
"title": "Unauthorized",
"detail": "The API key is missing or invalid."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Not Found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10018",
"title": "Unprocessable Entity",
"detail": "Validation failed for the request payload."
}
]
}{
"errors": [
{
"code": "10029",
"title": "Too Many Requests",
"detail": "Too many requests; retry later."
}
]
}{
"errors": [
{
"code": "10063",
"title": "Service Unavailable",
"detail": "The test framework service is temporarily unavailable."
}
]
}